Bug 484985 - Not possible to alter pre-created LV
Not possible to alter pre-created LV
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 18:21 EST by Matthew Booth
Modified: 2009-06-25 11:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-25 11:39:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2009-02-10 18:21:46 EST
Description of problem:
When trying to edit an existing LV, disk druid appears to lose track of the LV's mount point. On trying to save the edit, you get the error message:

The mount point <Not Applicable> is invalid. Mount points must start with '/' and cannot end with '/', and must contain printable characters and no spaces.

Version-Release number of selected component (if applicable):
anaconda-11.5.0.12-1 (liveinst)

How reproducible:
Always

Steps to Reproduce:
1. Create a default layout, and choose to edit it
2. Reduce the size of the swap LV to make some space
3. Select root LV and click Edit
4. Increase the size to maximum and try to save
  
Actual results:
'Mount point' is greyed out when editing. Receive above error when trying to save.

Expected results:
LV size is modified.

Additional info:
Comment 1 Matthew Booth 2009-02-10 18:22:51 EST
Changing component to anaconda. Previous was a fat finger.
Comment 2 Gianluca Sforna 2009-02-26 03:31:26 EST
Just reproduced this.

A workaround is to change the file system type to ext2 then back to the default ext3
Comment 3 Joel Andres Granados 2009-04-08 08:45:19 EDT
(In reply to comment #2)
> Just reproduced this.
> 
> A workaround is to change the file system type to ext2 then back to the default
> ext3  
What anaconda version is this?

I just tested with anaconda git and I did not see this issue.
Comment 4 Bug Zapper 2009-06-09 07:15:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.